Exception.h File Reference

Contains Exception base class. More...

`#include <stdexcept>`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | Exc::Exception

## Namespaces

namespace | Exc
| Namespace for Exception objects.

## Macros

#define | DECLARE_FIELD3D_GENERIC_EXCEPTION(name, base_class)
| Used to declare a generic but named exception.

## Detailed Description

Contains Exception base class.

Definition in file Exception.h.

## Macro Definition Documentation

## DECLARE_FIELD3D_GENERIC_EXCEPTION

#define DECLARE_FIELD3D_GENERIC_EXCEPTION | ( |  | name,
|  |  | base_class )

Value:
class name : public base_class \
{ \
public: \
explicit name(const std::string &what = "") throw() \
: base_class(what) \
{ } \
~name() throw() \
{ } \
}; \

Used to declare a generic but named exception.

Definition at line 107 of file Exception.h.

#define DECLARE_FIELD3D_GENERIC_EXCEPTION(name, base_class) \
class name : public base_class \
{ \
public: \
explicit name(const std::string &what = "") throw() \
: base_class(what) \
{ } \
~name() throw() \
{ } \
}; \